Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
366d::/16
First address
366d::
Last address
366d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
366d:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.6.6.3.ip6.arpa
Split into smaller subnets/24

366d::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1366d::/24366d:ff:ffff:ffff:ffff:ffff:ffff:ffff
2366d:100::/24366d:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3366d:200::/24366d:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4366d:300::/24366d:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5366d:400::/24366d:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6366d:500::/24366d:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7366d:600::/24366d:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8366d:700::/24366d:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9366d:800::/24366d:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10366d:900::/24366d:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11366d:a00::/24366d:aff:ffff:ffff:ffff:ffff:ffff:ffff
12366d:b00::/24366d:bff:ffff:ffff:ffff:ffff:ffff:ffff
13366d:c00::/24366d:cff:ffff:ffff:ffff:ffff:ffff:ffff
14366d:d00::/24366d:dff:ffff:ffff:ffff:ffff:ffff:ffff
15366d:e00::/24366d:eff:ffff:ffff:ffff:ffff:ffff:ffff
16366d:f00::/24366d:fff:ffff:ffff:ffff:ffff:ffff:ffff
17366d:1000::/24366d:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18366d:1100::/24366d:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19366d:1200::/24366d:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20366d:1300::/24366d:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21366d:1400::/24366d:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22366d:1500::/24366d:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23366d:1600::/24366d:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24366d:1700::/24366d:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25366d:1800::/24366d:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26366d:1900::/24366d:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27366d:1a00::/24366d:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28366d:1b00::/24366d:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29366d:1c00::/24366d:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30366d:1d00::/24366d:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31366d:1e00::/24366d:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32366d:1f00::/24366d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33366d:2000::/24366d:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34366d:2100::/24366d:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35366d:2200::/24366d:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36366d:2300::/24366d:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37366d:2400::/24366d:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38366d:2500::/24366d:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39366d:2600::/24366d:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40366d:2700::/24366d:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41366d:2800::/24366d:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42366d:2900::/24366d:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43366d:2a00::/24366d:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44366d:2b00::/24366d:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45366d:2c00::/24366d:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46366d:2d00::/24366d:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47366d:2e00::/24366d:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48366d:2f00::/24366d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49366d:3000::/24366d:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50366d:3100::/24366d:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51366d:3200::/24366d:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52366d:3300::/24366d:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53366d:3400::/24366d:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54366d:3500::/24366d:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55366d:3600::/24366d:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56366d:3700::/24366d:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57366d:3800::/24366d:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58366d:3900::/24366d:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59366d:3a00::/24366d:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60366d:3b00::/24366d:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61366d:3c00::/24366d:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62366d:3d00::/24366d:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63366d:3e00::/24366d:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64366d:3f00::/24366d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65366d:4000::/24366d:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66366d:4100::/24366d:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67366d:4200::/24366d:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68366d:4300::/24366d:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69366d:4400::/24366d:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70366d:4500::/24366d:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71366d:4600::/24366d:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72366d:4700::/24366d:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73366d:4800::/24366d:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74366d:4900::/24366d:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75366d:4a00::/24366d:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76366d:4b00::/24366d:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77366d:4c00::/24366d:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78366d:4d00::/24366d:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79366d:4e00::/24366d:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80366d:4f00::/24366d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81366d:5000::/24366d:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82366d:5100::/24366d:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83366d:5200::/24366d:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84366d:5300::/24366d:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85366d:5400::/24366d:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86366d:5500::/24366d:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87366d:5600::/24366d:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88366d:5700::/24366d:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89366d:5800::/24366d:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90366d:5900::/24366d:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91366d:5a00::/24366d:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92366d:5b00::/24366d:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93366d:5c00::/24366d:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94366d:5d00::/24366d:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95366d:5e00::/24366d:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96366d:5f00::/24366d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97366d:6000::/24366d:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98366d:6100::/24366d:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99366d:6200::/24366d:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100366d:6300::/24366d:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101366d:6400::/24366d:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102366d:6500::/24366d:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103366d:6600::/24366d:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104366d:6700::/24366d:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105366d:6800::/24366d:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106366d:6900::/24366d:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107366d:6a00::/24366d:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108366d:6b00::/24366d:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109366d:6c00::/24366d:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110366d:6d00::/24366d:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111366d:6e00::/24366d:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112366d:6f00::/24366d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113366d:7000::/24366d:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114366d:7100::/24366d:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115366d:7200::/24366d:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116366d:7300::/24366d:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117366d:7400::/24366d:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118366d:7500::/24366d:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119366d:7600::/24366d:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120366d:7700::/24366d:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121366d:7800::/24366d:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122366d:7900::/24366d:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123366d:7a00::/24366d:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124366d:7b00::/24366d:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125366d:7c00::/24366d:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126366d:7d00::/24366d:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127366d:7e00::/24366d:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128366d:7f00::/24366d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129366d:8000::/24366d:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130366d:8100::/24366d:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131366d:8200::/24366d:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132366d:8300::/24366d:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133366d:8400::/24366d:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134366d:8500::/24366d:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135366d:8600::/24366d:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136366d:8700::/24366d:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137366d:8800::/24366d:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138366d:8900::/24366d:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139366d:8a00::/24366d:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140366d:8b00::/24366d:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141366d:8c00::/24366d:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142366d:8d00::/24366d:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143366d:8e00::/24366d:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144366d:8f00::/24366d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145366d:9000::/24366d:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146366d:9100::/24366d:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147366d:9200::/24366d:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148366d:9300::/24366d:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149366d:9400::/24366d:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150366d:9500::/24366d:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151366d:9600::/24366d:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152366d:9700::/24366d:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153366d:9800::/24366d:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154366d:9900::/24366d:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155366d:9a00::/24366d:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156366d:9b00::/24366d:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157366d:9c00::/24366d:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158366d:9d00::/24366d:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159366d:9e00::/24366d:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160366d:9f00::/24366d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161366d:a000::/24366d:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162366d:a100::/24366d:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163366d:a200::/24366d:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164366d:a300::/24366d:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165366d:a400::/24366d:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166366d:a500::/24366d:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167366d:a600::/24366d:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168366d:a700::/24366d:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169366d:a800::/24366d:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170366d:a900::/24366d:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171366d:aa00::/24366d:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172366d:ab00::/24366d:abff:ffff:ffff:ffff:ffff:ffff:ffff
173366d:ac00::/24366d:acff:ffff:ffff:ffff:ffff:ffff:ffff
174366d:ad00::/24366d:adff:ffff:ffff:ffff:ffff:ffff:ffff
175366d:ae00::/24366d:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176366d:af00::/24366d:afff:ffff:ffff:ffff:ffff:ffff:ffff
177366d:b000::/24366d:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178366d:b100::/24366d:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179366d:b200::/24366d:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180366d:b300::/24366d:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181366d:b400::/24366d:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182366d:b500::/24366d:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183366d:b600::/24366d:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184366d:b700::/24366d:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185366d:b800::/24366d:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186366d:b900::/24366d:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187366d:ba00::/24366d:baff:ffff:ffff:ffff:ffff:ffff:ffff
188366d:bb00::/24366d:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189366d:bc00::/24366d:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190366d:bd00::/24366d:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191366d:be00::/24366d:beff:ffff:ffff:ffff:ffff:ffff:ffff
192366d:bf00::/24366d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193366d:c000::/24366d:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194366d:c100::/24366d:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195366d:c200::/24366d:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196366d:c300::/24366d:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197366d:c400::/24366d:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198366d:c500::/24366d:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199366d:c600::/24366d:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200366d:c700::/24366d:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201366d:c800::/24366d:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202366d:c900::/24366d:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203366d:ca00::/24366d:caff:ffff:ffff:ffff:ffff:ffff:ffff
204366d:cb00::/24366d:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205366d:cc00::/24366d:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206366d:cd00::/24366d:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207366d:ce00::/24366d:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208366d:cf00::/24366d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209366d:d000::/24366d:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210366d:d100::/24366d:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211366d:d200::/24366d:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212366d:d300::/24366d:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213366d:d400::/24366d:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214366d:d500::/24366d:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215366d:d600::/24366d:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216366d:d700::/24366d:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217366d:d800::/24366d:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218366d:d900::/24366d:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219366d:da00::/24366d:daff:ffff:ffff:ffff:ffff:ffff:ffff
220366d:db00::/24366d:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221366d:dc00::/24366d:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222366d:dd00::/24366d:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223366d:de00::/24366d:deff:ffff:ffff:ffff:ffff:ffff:ffff
224366d:df00::/24366d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225366d:e000::/24366d:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226366d:e100::/24366d:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227366d:e200::/24366d:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228366d:e300::/24366d:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229366d:e400::/24366d:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230366d:e500::/24366d:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231366d:e600::/24366d:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232366d:e700::/24366d:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233366d:e800::/24366d:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234366d:e900::/24366d:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235366d:ea00::/24366d:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236366d:eb00::/24366d:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237366d:ec00::/24366d:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238366d:ed00::/24366d:edff:ffff:ffff:ffff:ffff:ffff:ffff
239366d:ee00::/24366d:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240366d:ef00::/24366d:efff:ffff:ffff:ffff:ffff:ffff:ffff
241366d:f000::/24366d:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242366d:f100::/24366d:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243366d:f200::/24366d:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244366d:f300::/24366d:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245366d:f400::/24366d:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246366d:f500::/24366d:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247366d:f600::/24366d:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248366d:f700::/24366d:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249366d:f800::/24366d:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250366d:f900::/24366d:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251366d:fa00::/24366d:faff:ffff:ffff:ffff:ffff:ffff:ffff
252366d:fb00::/24366d:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253366d:fc00::/24366d:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254366d:fd00::/24366d:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255366d:fe00::/24366d:feff:ffff:ffff:ffff:ffff:ffff:ffff
256366d:ff00::/24366d:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses